Docs

Search documentation

Server · next

Loading search…

日本語

This documentation describes the Server currently in development.

Shumoku Server API · 0.3.0-beta.2 · Credentials

Probe a sample of a topology's devices with a credential; stores nothing

OpenAPI source
POST /api/credentials/test

Authentication

sessionCookie / bearerAuth

Request body

TestCredential · application/json · required

Responses

Status Description Schema
200 How many probes were sent and answered TestCredentialResult
400 The request did not match the API contract Error
404 Credential or topology not found Error
409 Conflict, e.g. a credential with this name already exists Error
500 Credential operation failed Error

apps/server/api/openapi.json